cl.cromer.estructuras

## Class Main

- java.lang.Object
- - javafx.application.Application
  - - cl.cromer.estructuras.Main

    public class Main
    extends javafx.application.Application

Estructuras de Datos Creado como proyecto semestral para la asignatura de estructuras de datos por la profesora Karina Rojas y el profesor Jorge Elgueta. Creado en 2016-1 Se necesita java 8 con javafx instalado.

Version:
  1.0.0
Author:
  Chris Cromer

### Nested Class Summary

### Nested classes/interfaces inherited from class javafx.application.Application

`javafx.application.Application.Parameters`

### Field Summary

Fields
`private static Logs` `logs` El logger.

### Fields inherited from class javafx.application.Application

`STYLESHEET_CASPIAN, STYLESHEET_MODENA`

### Constructor Summary

Constructors
Constructor and Description
`Main()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main(java.lang.String[] args)` Inicilizar el logeo y lanzar la interfaz grafica.
`static void` `mostrarError(java.lang.String mensaje, java.util.ResourceBundle resourceBundle)` Mostrar una ventana con mensaje en la pantalla.
`static void` `setIcon(javafx.scene.control.Dialog dialog, java.lang.Class clase)` Cambiar el icono de una ventana.
`void` `start(javafx.stage.Stage stage)` Crear el stage y la scene para la aplicación grafica.
`void` `stop()`

### Methods inherited from class javafx.application.Application

`getHostServices, getParameters, getUserAgentStylesheet, init, launch, launch, notifyPreloader, setUserAgentStylesheet`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logs

    private static Logs logs

El logger.

### Constructor Detail

#### Main

    public Main()

### Method Detail

#### start

    public void start(javafx.stage.Stage stage)

Crear el stage y la scene para la aplicación grafica.

Specified by:
  `start` in class `javafx.application.Application`
Parameters:
  `stage` - Stage: El primer stage donde va todas las cosas visuales.

#### stop

    public void stop()

Overrides:
  `stop` in class `javafx.application.Application`

#### main

    public static void main(java.lang.String[] args)

Inicilizar el logeo y lanzar la interfaz grafica.

Parameters:
  `args` - String[]: Argumentos desde la consola.

#### setIcon

    public static void setIcon(javafx.scene.control.Dialog dialog,
                               java.lang.Class clase)

Cambiar el icono de una ventana.

Parameters:
  `dialog` - Dialog: El Dialog a cambiar.
  `clase` - Class: La clase usado para abrir el Stream.

#### mostrarError

    public static void mostrarError(java.lang.String mensaje,
                                    java.util.ResourceBundle resourceBundle)

Mostrar una ventana con mensaje en la pantalla.

Parameters:
  `mensaje` - String: El mensaje a mostrar.
  `resourceBundle` - ResourceBundle: Contiene el idioma actual.